Page MenuHomePhabricator

Talk page replies lost when clicking on links
Closed, ResolvedPublic

Description

Edits can be lost by accidentally clicking links in a talk topic. (original report: https://phabricator.wikimedia.org/T228278#5387895)

Replication steps:

  1. View any talk comment with a link (e.g. username signature)

Example URL: https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain#/talk/1

  1. Enter some content into the textarea (start writing a reply)
  2. Click "Jdlrobson" or other link.

Expected: I am prompted to whether I want to leave
Actual: I am navigated to the link

Event Timeline

Jdlrobson created this task.Aug 2 2019, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2019, 9:04 PM

Change 527645 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Clicking links triggers onBeforeExit

https://gerrit.wikimedia.org/r/527645

Jdlrobson renamed this task from Edits lost when clicking on links to Talk page replies lost when clicking on links.Aug 2 2019, 9:34 PM

Change 527645 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Clicking links triggers onBeforeExit

https://gerrit.wikimedia.org/r/527645

alexhollender added a subscriber: Edtadros.

@Jdlrobson - not a blocker, but still not fixed:
Replications steps:

  1. go to https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain#/talk/1
  2. click on Jdlrobson
  3. page navigates to link, no confirmation is shown

@ovasileva works for me. Remember you need to put something in the textarea to trigger the confirmation. If the user hasn't inputted anything, we let them navigate away.

Jdlrobson reassigned this task from ovasileva to Edtadros.Aug 6 2019, 6:49 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: ovasileva.

Updated description since it was lacking that step :)

MBinder_WMF reassigned this task from Edtadros to ovasileva.Aug 7 2019, 5:20 PM
ovasileva closed this task as Resolved.Aug 7 2019, 6:14 PM

QA:

  1. View any talk comment with a link (e.g. username signature)

Example URL: https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain#/talk/1

  1. Enter some content into the textarea (start writing a reply)
  2. Click "Jdlrobson" or other link.

Looks good, moving to signoff and resolving